> ## Documentation Index
> Fetch the complete documentation index at: https://developer.transactbridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Transactions

> This API is used for getting transactions with filters that can be applied. The data is paginated.



## OpenAPI

````yaml /api-reference/Transactions/transaction.json post /transaction/v1.0/getDepositTxs
openapi: 3.0.3
info:
  title: Transactions API
  description: API's to get transaction information.
  version: 1.0.0
servers:
  - url: https://sandbox-api.transactbridge.com
    description: Sandbox Environment
  - url: https://api.transactbridge.com
    description: Production Environment
security:
  - ApiKeyAuth: []
    SignatureAuth: []
paths:
  /transaction/v1.0/getDepositTxs:
    post:
      tags:
        - Transaction
      summary: Get All Transactions
      description: >-
        This API is used for getting transactions with filters that can be
        applied. The data is paginated.
      operationId: getAllTransactions
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                filter:
                  type: object
                  description: Used for passing filters.
                  properties:
                    type:
                      type: string
                      format: MongoId
                      description: >-
                        To filter all the mandates of a particular customer.
                        Validator: MongoId.
                    txSubType:
                      type: string
                      enum:
                        - txSubType
                      description: >-
                        To filter the transactions on the basis of the
                        txSubType.
                    status:
                      type: string
                      enum:
                        - txSubType
                      description: >-
                        To filter all the mandates based on the current status
                        of mandates.
                    txSubStatus:
                      type: string
                      enum:
                        - txSubStatus
                      description: >-
                        To filter the transactions on the basis of the
                        txSubStatus.
                    isSettled:
                      type: boolean
                      description: >-
                        To filter all the transactions that have been settled
                        through invoice.
                    fromDate:
                      type: string
                      description: >-
                        To filter the mandates based on the created date of the
                        mandate.
                    toDate:
                      type: string
                      description: >-
                        To filter the mandates based on the created date of the
                        mandate.
                    subscriptionId:
                      type: string
                      format: MongoId
                      description: >-
                        To filter all the mandates of a particular subscription.
                        Validator: MongoId.
                    isMandate:
                      type: boolean
                      description: >-
                        To filter all the transactions that are mandate
                        transactions.
                    isBillingSession:
                      type: boolean
                      description: To filter all the billing session transactions.
                    isSubscription:
                      type: boolean
                      description: To filter all the subscription transactions.
                page:
                  type: number
                  default: 1
                  description: For pagination.
      responses:
        '200':
          description: It will return txn data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getAllTxn'
components:
  schemas:
    getAllTxn:
      type: object
      properties:
        status:
          type: string
          description: The response from the API
        sub_status:
          type: string
          description: Used for internal purposes only
        data:
          type: object
          description: It will return txn data
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Merchant API Key
    SignatureAuth:
      type: apiKey
      in: header
      name: x-signature
      description: Generated request signature

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.